module SuperLogger
  module MessageFormatter
    def self.format(message)
      case message
      when Hash
        message.map { |k, v| "#{k}: #{v}" }
      when Array
        message
      else
        message.split SuperLogger.config.delimiter
      end
    end
  end
end
